# HaruImage::getBitsPerComponent

(PECL haru >= 0.0.1)

HaruImage::getBitsPerComponent — Get the number of bits used to describe each color component of the image

### Description

HaruImage::getBitsPerComponent ( void ) : int

Gets the number of bits used to describe each color component of the image.

### Parameters

This function has no parameters.

### Return Values

Returns the number of bits used to describe each color component of the image.

### Errors/Exceptions

Throws a HaruException on error.